Bug 205435 - FX Preloader relative path property wrong if preloader JAR is in distant location
FX Preloader relative path property wrong if preloader JAR is in distant loca...
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Deployment
7.1
PC Windows 7
: P1 (vote)
: 7.1
Assigned To: Petr Somol
issues@javafx
: 71_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-22 16:25 UTC by Petr Somol
Modified: 2011-11-25 11:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2011-11-22 16:25:14 UTC
When adding Preloader to FX project in Run panel, the property holding Preloader path is occasionally wrongly set. This happens while the relative path to Preloader is determined in method JFXProjectUtils.getRelativePath() whenever the Preloader and the FX Project are located in different path sub-trees.
As a result, the Preloader is not found when Run panel is opened the next time. Run and deployment can thus be rendered dysfunctional.
Comment 1 Petr Somol 2011-11-22 16:55:57 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/eae392f6d8eb
Comment 2 Stepan Zebra 2011-11-22 18:39:03 UTC
verified in trunk, please continue with integration into release71 branch
Comment 3 Quality Engineering 2011-11-23 07:11:39 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/5155a38a9156
User: Petr Somol <psomol@netbeans.org>
Log: #205435 - FX Preloader relative path property wrong if preloader JAR is in distant location
(transplanted from eae392f6d8eb4ee975eef781ef05ba539132d3b5)
Comment 4 Quality Engineering 2011-11-23 15:59:25 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/eae392f6d8eb
User: Petr Somol <psomol@netbeans.org>
Log: #205435 - FX Preloader relative path property wrong if preloader JAR is in distant location
Comment 5 Stepan Zebra 2011-11-25 11:39:19 UTC
verified in rc1 build 201111242103


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo